/// <reference path="../../../../src/@types/@kano/common/index.d.ts" />
import { DialogProvider } from '../editor/dialogs/dialog-provider.js';
import './components/kc-creation-form.js';
export interface ICreationSubmission {
    title: string;
    description: string;
}
export declare class CreationDialogProvider extends DialogProvider {
    private subscriptions;
    private form;
    private previewDiv;
    private _onDidSubmit;
    readonly onDidSubmit: import("@kano/common/index.js").IEvent<ICreationSubmission>;
    private _onDidDismiss;
    readonly onDidDismiss: import("@kano/common/index.js").IEvent<void>;
    constructor();
    _onSubmit(e: CustomEvent): void;
    _onDismiss(): void;
    createDom(): HTMLElement;
    getPreviewSlot(): HTMLElement;
    resetPreviewSlot(): void;
    setRecording(state: boolean): void;
    setPage(page: string): void;
    dispose(): void;
}
export default CreationDialogProvider;
